Nelze nainstalovat doplněk nebo rozšíření

Máte potíže se svými doplňky? Počínaje Firefoxem 57 (vydaného 14. listopadu 2017) už budou fungovat pouze doplňky vytvořené pomocí API WebExtensions, nové technologie pro tvorbu doplňků Firefoxu. Nejste si jisti, jak jsou na tom vaše doplňky? Bližší informace naleznete v článku Modernizace technologie pro tvorbu doplňků pro Firefox a těchto často kladených otázkách.

Nemožnost nainstalovat rozšíření může mít příčinu v samotném rozšíření, v předvolbách Firefoxu nebo ve verzi Firefoxu, kterou používáte. Tento článek popisuje nejrůznější příčiny problémů s instalací doplňků a nabízí jejich řešení.

Doplněk není kompatibilní

V interním souboru každého doplňku je uvedeno rozmezí verzí Firefoxu, s nimiž je doplněk kompatibilní. Tato informace o kompatibilitě verzí se rovněž nachází na webu Mozilly v sekci Doplňky aplikace Firefox na stránce každého z dostupných rozšíření.

Jestliže je číslo verze vašeho Firefoxu mimo toto rozmezí, potom instalace doplňku skončí chybou s odůvodněním, že doplněk není kompatibilní. Není-li vaše verze Firefoxu s doplňkem kompatibilní, pak máte tyto možnosti:

  • Aktualizovat Firefox na poslední verzi. Postup naleznete v článku Aktualizace Firefoxu.
  • Nalézt verzi doplňku, která je s vaší verzí Firefoxu kompatibilní. Na stránkách Doplňky aplikace Firefox se zpravidla nacházejí nejnovější verze doplňků.
  • Použít jiné rozšíření. Pro mnoho rozšíření existují alternativy mající stejnou funkčnost. Stačí se porozhlédnout na stránkách Doplňky aplikace Firefox.

Aplikace Firefox zabránila tomuto serveru v instalaci neověřeného doplňku

Novější verze Firefoxu vás chrání před malware a útočníky tím, že blokují doplňky třetích stran, které nejsou digitálně podepsané a ověřené Mozillou. Více se dozvíte v článku Podepisování doplňků ve Firefoxu.

Doplněk nebyl nainstalován, protože existuje vysoké riziko nestability nebo bezpečnostních problémů

Některé doplňky byly pro svoji nebezpečnost Mozillou zablokovány. Více se dozvíte v článku Blokování doplňků.

Firefox zabránil stránce v dotazu na instalaci softwaru do vašeho počítače

Ve výchozím nastavení Firefox povoluje instalovat doplňky pouze z důvěryhodných serverů. Nenachází-li se server, ze kterého instalujete doplněk, na seznamu důvěryhodných serverů, zobrazí se v horní části webové stránky žlutý pruh s textem takovéhoto nebo podobného znění:

Aplikace Firefox zabránila stránce (www.priklad.com) v dotazu na instalaci softwaru do vašeho počítače.

Přejete-li si povolit instalaci doplňku z tohoto serveru, klepněte ve žlutém pruhu na tlačítko Povolit.

Chcete-li tento server přidat na seznam důvěryhodných serverů:

  1. Zobrazte nabídku klepnutím na tlačítko New Fx Menu Fx57Menu a zvolte MožnostiPředvolby.
  2. Přejděte do sekce ZabezpečeníSoukromí a zabezpečení a najděte podsekci Oprávnění.
  3. U volby Vždy upozornit při pokusu o instalaci doplňkuVždy upozornit při pokusu o instalaci doplňku klepněte na tlačítko Výjimky....
  4. Zobrazí se dialogové okno Důvěryhodné servery - instalace doplňkůDůvěryhodné servery pro instalaci doplňků, kde jsou uvedeny servery, ze kterých je povoleno instalovat doplňky. Nachází se mezi nimi i URL serveru, ze kterého jste povolili instalovat doplněk.
  5. Přejete-li si tomuto serveru udělit permanentní povolení k instalaci doplňků, klepněte na něj a poté na tlačítko Povolit. Následně klepněte na tlačítko ZavřítUložit změny.
  6. Zavřete stránku about:preferences. Všechny provedené změny budou automaticky uloženy.

Jste dotázáni na stažení doplňku a ne na jeho instalaci

Některé webové stránky nabízejí doplňky pouze ke stažení a tím tedy požadují, abyste si doplněk před jeho instalací stáhli do počítače.

  • Jedná se zpravidla o soubory .xpi nebo .jar.
  1. Stáhněte soubor do svého počítače.
  2. Zobrazte nabídku klepnutím na tlačítko Fx57menu New Fx Menu a zvolte Doplňky Fx57Addons-icon Doplňky. Otevře se panel Správce doplňků.

  3. Ve Správci doplňků přejděte do sekce Rozšíření.
  4. K instalaci staženého doplňku jej přetáhněte do okna Správce doplňků.
  5. Měl by se zahájit Instalační proces.

Chyba stahování -228

Mezipaměť je zakázána

Pravděpodobnou příčinou tohoto chybového hlášení je zakázaná mezipaměť Firefoxu. Povolit mezipaměť Firefoxu lze následujícím postupem:

  1. Zobrazte nabídku klepnutím na tlačítko New Fx Menu Fx57Menu a zvolte MožnostiPředvolby.
  2. Přejděte do sekce Rozšířené.
  3. Klepněte na kartu Síť.
  4. Velikost mezipaměti v části Mezipaměť webových stránek musí být alespoň 1 MB.
  5. Zavřete stránku about:preferences. Všechny provedené změny budou automaticky uloženy.
  1. Zobrazte nabídku klepnutím na tlačítko New Fx Menu Fx57Menu a zvolte MožnostiPředvolby.
  2. Přejděte do sekce Soukromí a zabezpečení.
  3. Velikost mezipaměti v části Mezipaměť webových stránek musí být alespoň 1 MB.
  4. Zavřete stránku about:preferences. Všechny provedené změny budou automaticky uloženy.

Jiné programy

Občas mohou být příčinou chybového hlášení -228 firewally nebo antispywarové programy. Používáte-li CA firewall, Windows Defender nebo rezidentní ochranu programu Spybot S&D (funkce "Teatimer"), zkuste je dočasně deaktivovat a pak vyzkoušejte, zda váš systém povolí instalaci doplňku. Podrobnější informace naleznete v dokumentaci k příslušnému programu.

Po klepnutí na odkaz se nic nestane

Jestliže klepnete na odkaz a nic se nestane, měli byste zkontrolovat, zda je povolen JavaScript. Jak to provést se dozvíte v článku JavaScript.

Poškozené soubory rozšíření

Příčinou potíží při instalaci rozšíření mohou být poškozené konfigurační soubory rozšíření. Jejich smazání přiměje Firefox je při svém dalším spuštění opětně vytvořit (čímž se odstraní jejich poškození). Smazáním těchto souborů o svá rozšíření ani o jejich nastavení nepřijdete.

  1. Otevřete svou složku s profilem:

    Zobrazte nabídku klepnutím na tlačítko New Fx Menu , v ní klepněte na Help-29 Zobrazte nabídku klepnutím na tlačítko Fx57menu , v ní klepněte na Nápověda a zvolte Technické informace. Otevře se panel Technické informace.

    • V sekci Stručně o aplikaci klepněte na tlačítko Zobrazit složkuOtevřít složkuZobrazit ve FinderuOtevřít adresář. Otevře se okno se soubory vašeho profilusložkou s vaším profilem.
    Poznámka: Pokud nemůžete spustit či použít Firefox, postupujte dle instrukcí v článku Nalezní profilu bez otevření Firefoxu.

  2. Zobrazte nabídku klepnutím na tlačítko New Fx Menu a v ní v pravém dolním rohu klepněte na tlačítko Ukončit Close 29 .

    Klepněte na tlačítko nabídky Firefoxu Fx57Menu a v otevřené nabídce klepněte na Ukončit. Otevřete nabídku Firefoxu v horní části obrazovky a poté klepněte na Ukončit Firefox.Klepněte na tlačítko nabídky Firefoxu Fx57Menu a v otevřené nabídce klepněte na Ukončit.

  3. Ve složce se svým profilem smažte následující soubory:
    • extensions.sqlite
    • extensions.sqlite-journal (pokud existuje)
    • extensions.ini
    • extensions.json
  4. Spusťte znovu Firefox.

Konflikt s jiným rozšířením

Je možné, že instalaci nového rozšíření narušuje jiné nainstalované rozšíření. Nainstalujte tedy nové rozšíření v Nouzovém režimu Firefoxu.



Založeno na informacích z článku Unable to install themes or extensions - Firefox (mozillaZine KB)

Byl tento článek srozumitelný? Počkejte prosím...

Tito lidé pomohli se sepsáním tohoto článku: soucet, Michal Stanke. Také můžete pomoci - přečtěte si jak.